fop 1.1

## org.apache.fop.apps
Class FormattingResults

    java.lang.Object
      org.apache.fop.apps.FormattingResults

    public class FormattingResults

extends java.lang.Object

Class for reporting back formatting results to the calling application.

Constructor Summary
`FormattingResults()` Constructor for the FormattingResults object

Method Summary
`int` `getPageCount()` Gets the number of pages rendered
`java.util.List` `getPageSequences()` Gets the results for the individual page-sequences.
`void` `haveFormattedPageSequence(AbstractPageSequence pageSequence, int pageCount)` Reports the result of one page sequence rendering back into this object.
`void` `reset()` Resets this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormattingResults

    public FormattingResults()

  Constructor for the FormattingResults object

Method Detail

### getPageCount

    public int getPageCount()

  Gets the number of pages rendered

  Returns:
    The number of pages overall

### getPageSequences

    public java.util.List getPageSequences()

  Gets the results for the individual page-sequences.

  Returns:
    A List with PageSequenceResults objects

### reset

    public void reset()

  Resets this object

### haveFormattedPageSequence

    public void haveFormattedPageSequence(AbstractPageSequence pageSequence,
                                          int pageCount)

  Reports the result of one page sequence rendering back into this object.

  Parameters:
    `pageSequence` - the page sequence which just completed rendering
    `pageCount` - the number of pages rendered for that PageSequence

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.